List inference deployments
curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/deployments \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v3/inference/{project_id}/deployments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"address": "https://example.com",
"auth_enabled": false,
"command": [
"nginx",
"-g",
"daemon off;"
],
"containers": [
{
"deploy_status": {
"ready": 1,
"total": 3
},
"region_id": 1,
"scale": {
"cooldown_period": 60,
"max": 3,
"min": 1,
"triggers": {
"cpu": {
"threshold": 80
},
"memory": {
"threshold": 70
}
}
}
}
],
"created_at": "2023-08-22T11:21:00Z",
"credentials_name": "dockerhub",
"description": "My first instance",
"envs": {
"DEBUG_MODE": "False",
"KEY": "12345"
},
"flavor_name": "inference-16vcpu-232gib-1xh100-80gb",
"image": "nginx:latest",
"ingress_opts": {
"disable_response_buffering": true
},
"listening_port": 8080,
"logging": {
"destination_region_id": 1,
"enabled": true,
"retention_policy": {
"period": 45
},
"topic_name": "my-log-name"
},
"name": "my-instance",
"object_references": [
{
"kind": "AppDeployment",
"name": "my-inference-app"
}
],
"probes": {
"liveness_probe": {
"enabled": true,
"probe": {
"exec": {
"command": [
"ls",
"-l"
]
},
"failure_threshold": 3,
"http_get": {
"headers": {
"Authorization": "Bearer token 123"
},
"host": "127.0.0.1",
"path": "/healthz",
"port": 80,
"schema": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 5,
"success_threshold": 1,
"tcp_socket": {
"port": 80
},
"timeout_seconds": 1
}
},
"readiness_probe": {
"enabled": true,
"probe": {
"exec": {
"command": [
"ls",
"-l"
]
},
"failure_threshold": 3,
"http_get": {
"headers": {
"Authorization": "Bearer token 123"
},
"host": "127.0.0.1",
"path": "/healthz",
"port": 80,
"schema": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 5,
"success_threshold": 1,
"tcp_socket": {
"port": 80
},
"timeout_seconds": 1
}
},
"startup_probe": {
"enabled": true,
"probe": {
"exec": {
"command": [
"ls",
"-l"
]
},
"failure_threshold": 3,
"http_get": {
"headers": {
"Authorization": "Bearer token 123"
},
"host": "127.0.0.1",
"path": "/healthz",
"port": 80,
"schema": "HTTP"
},
"initial_delay_seconds": 0,
"period_seconds": 5,
"success_threshold": 1,
"tcp_socket": {
"port": 80
},
"timeout_seconds": 1
}
}
},
"project_id": 1,
"timeout": 120,
"api_keys": [
"key1",
"key2"
]
}
]
}Everywhere Inference
List inference deployments
GET
/
cloud
/
v3
/
inference
/
{project_id}
/
deployments
List inference deployments
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I